<?php
/*
-----------------------------------------
Автор: -=КотЭ=-(-=MTV=-) и Shot(Robber)
Бесплатный WAP движок: Strongcms
Контакты: 0664452670(МТС) ибо ICQ(7296000)
Файл: news.php
-------------------------------------------
*/
//-----Создаем титл страницы-----//
$title = 'Новости портала';
//-----Подключаем функции-----//
require_once ('system/function.php');
//-----Подключаем вверх-----//
require_once ('system/header.php');

//-----Если гость,то...----//
if(!$user['id']) {
header('Location: /index.php');
exit();
}

switch($_GET['act'])
{
default:

echo '<div class="title">Новости портала</div>';

if($user['level'] == 3) echo '<div class="podmenu"><img src="'.$HOME.'/images/add.png" alt="*" /> <a href="/news/addnews"><b>Добавить новость</b></a></div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `news`"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$sql = mysql_query("SELECT * FROM `news` ORDER BY `id` DESC LIMIT $start, $max");

while($sql1 = mysql_fetch_assoc($sql))
{
echo '<div class="links">Автор: '.nick($sql1['avtor']).' ('.vremja($sql1['time']).')';
if($user['level'] >= 3) echo ' [<a href="'.$HOME.'/news/delnew_'.$sql1['id'].'">удалить</a>] [<a href="'.$HOME.'/news/upnew_'.$sql1['id'].'">ред</a>]';
echo '</div>';
echo '<div class="podmenu">'.smile(bb($sql1['text'])).'<br />
<a href="/news/comment'.$sql1['id'].'">Комментарии:</a> ('.mysql_result(mysql_query('select count(`id`) from `news_com` where `news` = "'.$sql1['id'].'"'),0).')
</div>';
}

if($k_post < 1) echo '<div class="podmenu"><center><b>Новостей пока еще нет!</b></center></div>';
if($k_page>1) echo str('/news/'.$id.'?',$k_page,$page); // Вывод страниц

break;
case 'upnew':

/* Переадресация если нету должности */
if($user['level'] < 3) {
header('Location: '.$HOME.'/news');
exit();
}

/* Делаем запрос для вывода */
$id = abs(intval($_GET['id']));
$news = mysql_fetch_assoc(mysql_query("SELECT * FROM `news` WHERE `id` = '".$id."'"));
if($news == 0) {
echo '<div class="title"><a href="'.$HOME.'/news/">Новости портала</a> | Ошибка</div><div class="podmenu"><center><b>Такой новости пока еще нет!</b></center></div>';
require_once ('system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/news/">Новости портала</a> | Редактировать новость</div>';
/* Если нажали кнопку */
if(isset($_REQUEST['true'])) {

/* Фильтрация и вывод ошибки */
$text = strong($_POST['text']);
if(empty($text)) {
echo '<div class="podmenu"><center><b>Введите текст новости!</b></center></div>';
require_once ('system/footer.php');
exit();
}

/* Вывод ошибки */
if(mb_strlen($text) < 5) {
echo '<div class="podmenu"><center><b>Введите текст новости от 5 символов!</b></center></div>';
require_once ('system/footer.php');
exit();
}

/* Делаем запрос */
mysql_query("UPDATE `news` SET `text` = '".$text."' WHERE `id` = '".$id."'");
header('Location: '.$HOME.'/news/');
exit();
}

echo '<div class="podmenu"><form action="" method="POST">
Текст новости:<br /><textarea name="text">'.$news['text'].'</textarea><br />
<input type="submit" name="true" value="Изменить" />
</form></div>
<div class="links">» <a href="'.$HOME.'/news/">Назад в новости</a></div>';

break;
case 'delnew':

/* Переадресация если нету должности */
if($user['level'] < 3) {
header('Location: '.$HOME.'/news');
exit();
}

/* Делаем запрос для вывода */
$id = abs(intval($_GET['id']));
$news = mysql_fetch_assoc(mysql_query("SELECT * FROM `news` WHERE `id` = '".$id."'"));
if($news == 0) {
echo '<div class="title"><a href="'.$HOME.'/news/">Новости портала</a> | Ошибка</div><div class="podmenu"><center><b>Такой новости пока еще нет!</b></center></div>';
require_once ('system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/news/">Новости портала</a> | Удаление новости</div>';

/* Если согласились с удалением */
if(isset($_REQUEST['true'])) {
mysql_query("DELETE FROM `news` where `id` = '".$id."'");
header('Location: '.$HOME.'/news/');
exit();
}

/* Подтверждение */
echo '<div class="podmenu">Вы действительно хотите удалить эту  новость?<br />
<a href="'.$HOME.'/news/delnew_'.$id.'?true">Да</a>';
echo '<a href=/news.php>|Нет</a></div>';
break;
case 'addnews':

/* Переадресация если нету должности */
if($user['level'] != 3) {
header('Location: /index.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/news/">Новости портала</a> | Добавить новость</div>';

/* Если нажали кнопку */
if(isset($_REQUEST['submit'])) {

/* Фильтрация и вывод ошибки */
$text = strong($_POST['text']);
if(empty($text)) {
echo '<div class="podmenu"><center><b>Введите содержание новости!</b></center></div>';
require_once ('system/footer.php');
exit();
}

/* Вывод ошибки */
if(mb_strlen($text) < 5 ) {
echo '<div class="podmenu"><center><b>Введите минимум 5 символов!</b></center></div>';
require_once ('system/footer.php');
exit();
}

/* Делаем запрос */
mysql_query("INSERT INTO `news` SET `text` = '".$text."', `avtor` = '".$user['id']."', `time` = '".time()."'");
header('Location: /news.php');
}

echo '<div class="podmenu"><form method="POST" action="">
*Содержание новости:<br /><textarea row="3" name="text"></textarea><br />
<input type="submit" value="Создать" name="submit" />
<form></div>
<div class="links">» <a href="'.$HOME.'/news/">Назад в новости</a></div>';

break;
case 'comment':

/* Делаем запрос для вывода */
$id = abs(intval($_GET['id']));
$news = mysql_fetch_assoc(mysql_query("SELECT * FROM `news` WHERE `id` = '".$id."'"));
if($news == 0) {
echo '<div class="title">Новости | Ошибка</div><div class="podmenu"><b>Новость не существует!</b></div>';
require_once ('system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/news/">Новости портала</a> | Комментарии</div>';

/* Если нажали кнопку */
if(isset($_REQUEST['add'])) {

/* Фильтрация и вывод ошибки */
$msg = strong($_POST['msg']);
if(empty($msg)) {
echo '<div class="podmenu"><center><b>Вы не ввели сообщение!</b></center></div>';
require_once ('system/footer.php');
exit();
}

/* Вывод ошибки */
if(mb_strlen($msg) < 3) {
echo '<div class="podmenu"><center><b>Сообщение содержит меньше 3-х символов!</b></center></div>';
require_once ('system/footer.php');
exit();
}

$ttte = mysql_fetch_array(mysql_query('select * from `news_com` where `avtor` = "'.$user['id'].'" and `msg` = "'.$msg.'"'));
if($ttte != 0) {
echo '<div class="podmenu"><center><b>Пост был написан ранее!</b></center></div>';
require_once ('system/footer.php');
exit();
}

/* Антиспам */
$tim = mysql_query("SELECT * FROM `news_com` WHERE `avtor`='".$user['id']."' ORDER BY `time` DESC");
while($ncm2 = mysql_fetch_assoc($tim)) {  
$news_antispam = mysql_fetch_assoc(mysql_query("SELECT * FROM `antispam` WHERE `news` "));
$ncm_timeout = $ncm2['time'];
if((time()-$ncm_timeout) < $news_antispam['news']) {
echo '<div class="podmenu"><center><b>Пишите не чаще чем раз в '.$news_antispam['news'].' секунд!</b></center></div>';
require_once ('system/footer.php');
exit();
}
}

/* Делаем запрос*/
mysql_query("INSERT INTO `news_com` SET `msg` = '".$msg."', `avtorlogin` = '".$user['login']."', `avtor` = '".$user['id']."', `time` = '".time()."', `news` = '".$id."'");
if($user['id'] != $news['avtor']) {
mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$news['avtor']."', `kto` = '".$user['id']."', `text` = 'оставил комментарий к вашей [url=".$HOME."/news/comment".$news['id']."?selection=top]новости[/url]'");
}

header('Location: /news/comment'.$id.'');
exit();
}

echo '<div class="news"><div class="podmenu">'.smile(bb($news['text'])).'</div></div><div class="title">Комментарии:</div>';

echo '<div class="podmenu"><form method="POST" action="">
Сообщение:<br /><textarea name="msg"></textarea><br />
<input type="submit" name="add" value="Написать">
</div></form>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `news_com` WHERE `news` = '".$id."'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$com = mysql_query("SELECT * FROM `news_com` WHERE `news` = '".$id."' ORDER BY `id` DESC LIMIT $start, $max");

while($c = mysql_fetch_assoc($com))
{
if($user['level'] >= 1) $ddel = '[<a href="/news/delcom_'.$c['id'].'">удалить</a>]';
echo '<div class="links">'.nick($c['avtor']).' ('.vremja($c['time']).') '.$ddel.'';
if($user['id'] != $c['avtor']) echo '[<a href="/news/otvet_'.$c['id'].'">ответить</a>]';
echo '</div>
<div class="podmenu">'.smile(bb($c['msg'])).'</div>';
}

/* Если сообщений еще нету*/
if($k_post < 1) echo '<div class="podmenu"><center><b>Комментариев нет!</b></center></div>';
if($k_page>1) echo str('comment'.$id.'?',$k_page,$page); // Вывод страниц

echo '<div class="links">» <a href="'.$HOME.'/news/">Назад</a></div>';

break;
case 'delcom':

/* Делаем запрос для удаления */
$id = abs(intval($_GET['id']));
$news = mysql_fetch_assoc(mysql_query("SELECT * FROM `news_com` WHERE `id` = '".$id."'"));

if($user['level'] < 1) {
header('Location: '.$HOME.'/news/comment'.$news['news'].'');
exit();
}

/* Удаляем */
if(isset($_REQUEST['ok'])) {

if($news != 0) {
mysql_query("DELETE FROM `news_com` WHERE `id` = '".$id."'");
header('Location: '.$HOME.'/news/comment'.$news['news'].'');
exit();
} else {
header('Location: '.$HOME.'');
exit();
}

}

echo '<div class="title"><a href="'.$HOME.'/news/">Новости портала</a> | Удалить комментарий</div>
<div class="podmenu">Вы действительно хотите удалить этот комментарий?<br /><a href="'.$HOME.'/news/delcom_'.$id.'?ok">Да</a>';
echo '<a href=/news/comment2>|Нет</a></div>';

break;
case 'otvet':

/* Делаем запрос для вывода */
$id = abs(intval($_GET['id']));
$news = mysql_fetch_assoc(mysql_query("SELECT * FROM `news_com` WHERE `id` = '".$id."'"));

if($news == 0) {
echo '<div class="title"><a href="'.$HOME.'/news/">Новости портала</a> | Ошибка</div><div class="podmenu"><center><b>Такого сообщения нет!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if($user['id'] == $news['avtor']) {
header('Location: /news/comment'.$news['news'].'');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/news">Новости портала</a> | Ответ</div>';

/* Если нажали кнопку */
if(isset($_REQUEST['submit'])) {

/* Фильтрация и вывод ошибки */
$msg = strong($_POST['msg']);

if(empty($msg)) {
echo '<div class="podmenu"><center><b>Вы не ввели сообщение!</b></center></div>';
require_once ('system/footer.php');
exit();
}

/* Вывод ошибки */
if(mb_strlen($msg) < 3) {
echo '<div class="podmenu"><center><b>Сообщение содержит меньше 3-х символов!</b></center></div>';
require_once ('system/footer.php');
exit();
}

/* Антиспам */
$anti = mysql_query("SELECT `news` FROM `antispam`");
while($an = mysql_fetch_assoc($anti)){
$tim = mysql_query("SELECT * FROM `news_com` WHERE `avtor`='".$user['id']."' ORDER BY `time` DESC");
while($ncm2 = mysql_fetch_assoc($tim)){  
$ncm_timeout = $ncm2['time'];
if((time()-$ncm_timeout) < $an['news'])
{
echo '<div class="podmenu"><center><b>Пишите не чаще чем раз в '.$an['news'].' секунд!</b></center></div>';
require_once ('system/footer.php');
exit();
}
}
}

/* Делаем запрос */
mysql_query("INSERT INTO `news_com` SET `msg` = '[b]".$news['avtorlogin'].",[/b]".$msg."', `avtorlogin` = '".$users['login']."', `avtor` = '".$user['id']."', `time` = '".time()."', `news` = '".$news['news']."'");
mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$news['avtor']."', `kto` = '".$user['id']."', `text` = 'ответил на Ваш комментарий к [url=".$HOME."/news/comment".$news['news']."?selection=top]новости[/url]'");
header('Location: /news/comment'.$news['news'].'');
exit();
}

echo '<div class="podmenu">Ответ: '.nick($news['avtor']).'</div><div class="podmenu"><form action="" method="POST">
*Сообщение:<br /><textarea name="msg" ></textarea><br />
<input type="submit" name="submit" value="Ответить" />
</form></div>
<div class="links">» <a href="'.$HOME.'/news/comment'.$news['news'].'">Назад в комментарии</a></div>';

break;
}

//-----Подключаем низ-----//
require_once ('system/footer.php');
?>